### Virtual Method

# Gtk SymbolicPaintable snapshot_with_weight

since: 4.22

#### Declaration [src]

    void
    snapshot_with_weight (
      GtkSymbolicPaintable* paintable,
      GdkSnapshot* snapshot,
      double width,
      double height,
      const GdkRGBA* colors,
      gsize n_colors,
      double weight
    )

#### Description [src]

Snapshots the paintable with the given colors and weight.

If less than 5 colors are provided, GTK will pad the array with default colors.

Available since: 4.22

#### Parameters

`snapshot`

  Type: `GdkSnapshot`

  A `GdkSnapshot` to snapshot to.

  The data is owned by the caller of the method.

`width`

  Type: `double`

  Width to snapshot in.

`height`

  Type: `double`

  Height to snapshot in.

`colors`

  Type: An array of `GdkRGBA`

  A pointer to an array of colors.

  The length of the array is specified in the `n_colors` argument.
  The data is owned by the caller of the method.

`n_colors`

  Type: `gsize`

  The number of colors.

`weight`

  Type: `double`

  The font weight to use (from 1 to 1000, with default 400).